
package de.ivu.elect.dokumente.ergebnis;

// ELECT-10343, ELECT-15247, Model Na 31-2 Bijlage 2 (ehemals Model II Bijlage 2) wird mit Model N 10-2 (ehemals Model I) generiert und erbt deshalb von AbstractNlWasModelN102EtAlDocumentExportMapper statt AbstractNlWasModelNa312DocumentExportMapper!
public class NlWasModelNa312Bijlage2DocumentExportMapper extends AbstractNlWasModelN102EtAlDocumentExportMapper {

  public static final String FILE_FORMAT_NAME = "file.format.ergebnisdokument.export.modelna312.bijlage2";

  public NlWasModelNa312Bijlage2DocumentExportMapper() {
    super();
  }

  @Override
  public String getFileFormatName() {
    return FILE_FORMAT_NAME;
  }

  @Override
  protected String getDokumentVorlageNameInfix() {
    return "Model Na 31-2 bijlage 2";
  }
}
